PETSc version 3.15.5
Fix/Edit manual page

# MatGetRowUpperTriangular

Sets a flag to enable calls to MatGetRow() for matrix in MATSBAIJ format. You should call MatRestoreRowUpperTriangular() after calling MatGetRow/MatRestoreRow() to disable the flag.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowUpperTriangular(Mat mat)

Not Collective

### Input Parameters

| mat | - the matrix

### Notes

The flag is to ensure that users are aware of MatGetRow() only provides the upper triangular part of the row for the matrices in MATSBAIJ format.

### See Also

MatRestoreRowUpperTriangular()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatGetRowUpperTriangular_MPISBAIJ in src/mat/impls/sbaij/mpi/mpisbaij.c
MatGetRowUpperTriangular_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages